curl --request POST \
--url https://app.leadconduit.com/flows/{id}/deploy \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leadconduit.com/flows/{id}/deploy"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leadconduit.com/flows/{id}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Your flow was deployed and the most recent changes are now live"
}Deploy a saved flow to production
A flow defines how lead submissions will be handled. In order to make a flow’s latest state active for lead handling, it must be deployed. Because changes to a flow can be made without deploying them, you are free make flow updates without affecting current lead handling. Put another way, a deployment must be performed after it is created or updated in order for lead handling to start using the new configuration.
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Path Parameters
ID of the flow to deploy 24 character alpha-numeric BSON identifier
^[0-9a-fA-F]{24}$"5fd4371e940df5a34a3888b2"
Response
OK
Success message for deploying a flow
"Your flow was deployed and the most recent changes are now live"